<?php

namespace OSM\Element\Member;

use OSM\Point;

class Node extends Member
{
    public Point $point;

    public function completeFromArray(array $array): static
    {
        $this->point = Point::createFromArray($array);

        return $this;
    }
}
